package com.icomsys.main_vm.biz.rcp.monitoring.vo;

import com.icomsys.main_vm.common.code.enumresource.ActionResource;
import com.icomsys.main_vm.common.code.enumresource.MenuResource;
import lombok.*;

import java.time.LocalDate;
import java.time.LocalDateTime;


@Setter
@NoArgsConstructor
public class RetrieveWorkHstListVo {
    private Long seq;
    private String registDate;
    private String menuAuth;
    private String actionCode;
    private String userId;
    private String userName;
    private String ip;
    private String remark;
    private String serviceGroup;

    @Builder
    public RetrieveWorkHstListVo(Long seq, String registDate, String menuAuth, String actionCode, String userId, String userName, String ip, String remark, String serviceGroup) {
        this.seq = seq;
        this.registDate = registDate;
        this.menuAuth = menuAuth;
        this.actionCode = actionCode;
        this.userId = userId;
        this.userName = userName;
        this.ip = ip;
        this.remark = remark;
        this.serviceGroup = serviceGroup;
    }

    public Long getSeq() {
        return seq;
    }

    public String getRegistDate() {
        return registDate;
    }

    public String getMenuName() {
        return MenuResource.valueOf(this.menuAuth).getMenuDesc();
    }

    public String getActionCode() {
        return ActionResource.valueOf(this.actionCode).getTypeName();
    }

    public String getUserId() {
        return userId;
    }

    public String getUserName() {
        return userName;
    }

    public String getIp() {
        return ip;
    }

    public String getRemark() {
        return remark;
    }

    public String getServiceGroup() {
        return serviceGroup;
    }
}
